package net.roseindia.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.ServletException;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.view.RedirectView;
import org.springframework.web.servlet.mvc.SimpleFormController;

import net.roseindia.web.User;

@SuppressWarnings("deprecation")
public class UserFormController extends SimpleFormController {
	
	@Override
	protected ModelAndView onSubmit(Object command) throws ServletException {
		User user = (User) command;
		String name = user.getName();
		String prestatement = "Hello";
		
		ModelAndView modelAndView = new ModelAndView(getSuccessView());
		modelAndView.addObject("user", user);		
		modelAndView.addObject("prestatement", prestatement);
		return modelAndView;
		
    }
}
